Subject: cygwin build fails ootb
From: Reini Urban <[email-masked]>
To: clisp <[email-masked]>
Cc: [email-masked]
Date: Sat, 02 Feb 2002 23:15:04 +0000

cygwin fails to build ootb with the current clisp ualarm() workaround.
http://www.math.utexas.edu/pipermail/maxima/2001/000756.html didn't help.

however, with the proper declaration of the cygwin ualarm 
    extern_C useconds_t _EXFUN(ualarm, (useconds_t __useconds, useconds_t
__interval));
instead of 
    extern_C unsigned int ualarm (unsigned int value, unsigned int interval);
/* siehe UALARM(3) */
in unix.c, line 297 
and without the cygwin32 alarm() and ualarm() workaround in unixaux.d 
it compiled successfully then.

make check stops on 
  (LOAD "*.lsp")
  OK: FILE-ERROR
  (LOAD-LOGICAL-PATHNAME-TRANSLATIONS "FOO41")
hmm. I don't understand this.
should I post excepsit.erg?
---
Note: 
I had to move away /usr/local/lib/libiconv.* and /usr/local/include/iconv.h
and rebuild 
gettext/intl/libintl.a because I had older versions there.
the hacks in gettext/intl to seperate from older and existing versions
apparently didn't 
work.
----
cfgunix.lsp and cfgwin32.lsp could be merged to some kind of cfgcygwin.lsp. 
should I provide such a file?

with cfgunix.lsp only, esp. without (setq *device-prefix* "cygdrive") 
make fails if `pwd` begins with /cygdrive/
after a mount to /usr/src/clisp it works fine. strange.
----
Note:
The cygwin Makefile line
  LN_S = ln -s 
could be improved to 
  LN_S = ln 
on NTFS (hardlinks)

make complained on non-existing targets. after the mount to /usr/src/clisp and
cd /usr/src/clisp 
it worked.
----
ootb:

Windows 2000 Professional Ver 5.0 Build 2195 Service Pack 2
rel. new cygwin setup:
        Build date: Sat Dec 8 17:02:30 EST 2001
        CVS tag: cygwin-1-3-6-6
$ bash --version
GNU bash, version 2.05a.0(2)-release (i686-pc-cygwin)
Copyright 2001 Free Software Foundation, Inc.
$ cvs -d :pserver:[email-masked]:/cvsroot/clisp login
$ cvs -d :pserver:[email-masked]:/cvsroot/clisp co clisp
$ cd clisp
$ ./configure build-cyg
# avcall tests aso. pass successfully
$ cd build-cyg
rurban@REINI /cygdrive/r/lisp/clisp/clisp/build-cyg
$ # ./makemake --with-dir-key --with-readline --with-gettext
--with-dynamic-ffi --with-module=wildcard --with-module=regexp
--with-dynamic-modules --with-export-syscalls --with-termcap > ../Makefile
# oops, next time. for now just the simple version:

$ ./makemake  --with-readline --with-gettext --with-dynamic-ffi > Makefile

...
gcc -W -Wswitch -Wcomment -Wpointer-arith -Wimplicit -Wreturn-type
-fomit-frame-pointer -Wno-sign-compare -O2 -fexpensive-optimizations -DUNICODE
-DEXPORT_SYSCALLS -DDIR_KEY -DDYNAMIC_FFI -DDYNAMIC_MODULES -c spvw.c
In file included from /usr/include/stdlib.h:22,
                 from unix.d:17,
                 from lispbibl.d:1750,
                 from spvw.d:22:
/usr/include/alloca.h:14: warning: `alloca' redefined
lispbibl.d:1068: warning: this is the location of the previous definition
In file included from lispbibl.d:1750,
                 from spvw.d:22:
unix.d:287: warning: `HAVE_UALARM' redefined
unixconf.h:458: warning: this is the location of the previous definition
In file included from lispbibl.d:1751,
                 from spvw.d:22:
unix.d:296: conflicting types for `ualarm'
/usr/include/sys/unistd.h:136: previous declaration of `ualarm'
In file included from spvw.d:536:
spvw_garcol.d: In function `gc_compact_from_varobject_page':
spvw_garcol.d:2100: warning: `p2' might be used uninitialized in this function
spvw_garcol.d:2101: warning: `l2' might be used uninitialized in this function
spvw_garcol.d: In function `gc_compact_from_cons_page':
spvw_garcol.d:2156: warning: `p2' might be used uninitialized in this function
spvw_garcol.d:2157: warning: `l2' might be used uninitialized in this function
In file included from spvw.d:547:
spvw_circ.d: In function `get_circularities':
spvw_circ.d:641: warning: implicit declaration of function `_setjmp'
spvw_circ.d: In function `get_circ_mark':
spvw_circ.d:700: warning: implicit declaration of function `_longjmp'
spvw.d: In function `main':
spvw.d:1709: warning: variable `argv_memneed' might be clobbered by `longjmp'
or `vfork'
make: *** [spvw.o] Fehler 1

-- 
Reini Urban
  http://xarch.tu-graz.ac.at/home/rurban/
  http://tv.mur.at/ (kulturelles)

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/